Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextStream.NumberFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTextStream.NumberFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextStream

    public static final class QTextStream.NumberFlag

extends java.lang.Enum
implements QtEnumerator

This enum specifies various flags that can be set to affect the output of integers, `float`s, and `double`s.

See also:
  `setNumberFlags()`.

See Also:
  Serialized Form

Field Summary
`static QTextStream.NumberFlag` | `ForcePoint` Always put the decimal separator in numbers, even if there are no decimals.
`static QTextStream.NumberFlag` | `ForceSign` Always put the sign in numbers, even for positive numbers.
`static QTextStream.NumberFlag` | `ShowBase` Show the base as a prefix if the base is 16 ("0x"), 8 ("0"), or 2 ("0b").
`static QTextStream.NumberFlag` | `UppercaseBase` Use uppercase versions of base prefixes ("0X", "0B").
`static QTextStream.NumberFlag` | `UppercaseDigits` Use uppercase letters for expressing digits 10 to 35 instead of lowercase.

Method Summary
`static QTextStream.NumberFlags` | `createQFlags(QTextStream.NumberFlag[] values)` This function creates a com.trolltech.qt.core.QTextStream$NumberFlags with the specified `com.trolltech.qt.core.QTextStream$NumberFlag[]` QTextStream$NumberFlag values set.
`static QTextStream.NumberFlag` | `resolve(int value)` Returns the QTextStream$NumberFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextStream.NumberFlag` | `valueOf(java.lang.String name)`
`static QTextStream.NumberFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ShowBase

    public static final QTextStream.NumberFlag ShowBase

  Show the base as a prefix if the base is 16 ("0x"), 8 ("0"), or 2 ("0b").

### ForcePoint

    public static final QTextStream.NumberFlag ForcePoint

  Always put the decimal separator in numbers, even if there are no decimals.

### ForceSign

    public static final QTextStream.NumberFlag ForceSign

  Always put the sign in numbers, even for positive numbers.

### UppercaseBase

    public static final QTextStream.NumberFlag UppercaseBase

  Use uppercase versions of base prefixes ("0X", "0B").

### UppercaseDigits

    public static final QTextStream.NumberFlag UppercaseDigits

  Use uppercase letters for expressing digits 10 to 35 instead of lowercase.

Method Detail

### values

    public static QTextStream.NumberFlag[] values()

### valueOf

    public static QTextStream.NumberFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextStream.NumberFlags createQFlags(QTextStream.NumberFlag[] values)

  This function creates a com.trolltech.qt.core.QTextStream$NumberFlags with the specified `com.trolltech.qt.core.QTextStream$NumberFlag[]` QTextStream$NumberFlag values set.

### resolve

    public static QTextStream.NumberFlag resolve(int value)

  Returns the QTextStream$NumberFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD